### Method

# Clutter GridLayout attach

#### Declaration [src]

    void
    clutter_grid_layout_attach (
      ClutterGridLayout* layout,
      ClutterActor* child,
      gint left,
      gint top,
      gint width,
      gint height
    )

#### Description [src]

Adds a widget to the grid.

The position of `child` is determined by `left` and `top`. The number of ‘cells’ that `child` will occupy is determined by `width` and `height`.

#### Parameters

`child`

  Type: `ClutterActor`

  The `ClutterActor` to add.

  The data is owned by the caller of the method.

`left`

  Type: `gint`

  The column number to attach the left side of `child` to.

`top`

  Type: `gint`

  The row number to attach the top side of `child` to.

`width`

  Type: `gint`

  The number of columns that `child` will span.

`height`

  Type: `gint`

  The number of rows that `child` will span.